Page MenuHomePhabricator

pin google-cloud-storage until they fix deps
ClosedPublic

Authored by prha on Wed, Nov 13, 5:45 PM.

Details

Reviewers
nate
alangenfeld
Group Reviewers
Restricted Project
Commits
R1:e42caa59efea: pin google-cloud-storage until they fix deps
Summary
Test Plan

bk

Diff Detail

Repository
R1 dagster
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

prha created this revision.Wed, Nov 13, 5:45 PM
prha added a reviewer: Restricted Project.Wed, Nov 13, 5:49 PM
alangenfeld resigned from this revision.Wed, Nov 13, 6:16 PM
alangenfeld added subscribers: max, alangenfeld.

ill defer to @max on the right path forward with this

max added a comment.Wed, Nov 13, 6:26 PM

I think that, to be safe, we should pin to 'google-cloud-bigquery>=1.19.*,<=1.21.0', 'google-cloud-storage<1.23.0', 'google-resumable-media >= 0.3.1, != 0.4.0, < 0.5dev' and then release or run a post-release as soon as https://github.com/googleapis/google-cloud-python/issues/9786 is resolved

prha updated this revision to Diff 6509.Wed, Nov 13, 6:34 PM

max's comments

nate accepted this revision.Wed, Nov 13, 6:40 PM
This revision is now accepted and ready to land.Wed, Nov 13, 6:40 PM
prha added inline comments.Wed, Nov 13, 6:40 PM
python_modules/libraries/dagster-gcp/requirements.txt
0–1

@natekupp do you remember why this got pinned?

prha updated this revision to Diff 6511.Wed, Nov 13, 6:44 PM

remove 1.11.2 bigquery pin

prha edited the summary of this revision. (Show Details)Wed, Nov 13, 6:46 PM
This revision was automatically updated to reflect the committed changes.